Skip to main content
`Ctrl`+`K`

# read

astropy.io.registry.read(cls, *args, format=None, cache=False, **kwargs)

  Read in data.

  Parameters:
    cls class
    *args

      The arguments passed to this method depend on the format.

    format `python:str` or `python:None`
    cache bool

      Whether to cache the results of reading in the data.

    **kwargs

      The arguments passed to this method depend on the format.

  Returns:
    `object` or `python:None`

      The output of the registered reader.